Package: org.codehaus.groovy.antlr

## [Java] Class ASTRuntimeException

- org.codehaus.groovy.antlr.ASTRuntimeException

- Used within the Groovy's AntlrParserPlugin

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTRuntimeException (antlr.collections.AST ast, String message)`
    `ASTRuntimeException (antlr.collections.AST ast, String message, Throwable throwable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected static String` | `description(antlr.collections.AST node)`
    `` | `antlr.collections.AST` | `getAst()`
    `` | `int` | `getColumn()`
    `` | `int` | `getLine()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ASTRuntimeException(antlr.collections.AST ast, String message)

    - #### public ASTRuntimeException(antlr.collections.AST ast, String message, Throwable throwable)

  - ### Method Detail

    - #### protected static String description(antlr.collections.AST node)

    - #### public antlr.collections.AST getAst()

    - #### public int getColumn()

    - #### public int getLine()